package com.qmth.sop.business.entity;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.qmth.sop.common.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;

/**
 * <p>
 * 考勤提交统计表
 * </p>
 *
 * @author CaoZixuan
 * @since 2024-05-22
 */
@ApiModel(value="TBDingStatistic对象", description="考勤提交统计表")
public class TBDingStatistic extends BaseEntity {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "服务单元id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long serviceId;

    @ApiModelProperty(value = "sop单号")
    private String sopNo;

    @ApiModelProperty(value = "crm单号")
    private String crmNo;

    @ApiModelProperty(value = "人员档案id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long userArchivesId;

    @ApiModelProperty(value = "扫描开始时间")
    private Long scanStartTime;

    @ApiModelProperty(value = "扫描结束时间")
    private Long scanEndTime;

    @ApiModelProperty(value = "阅卷开始时间")
    private Long markPaperStartTime;

    @ApiModelProperty(value = "阅卷开始时间")
    private Long markPaperEndTime;

    @ApiModelProperty(value = "打卡时该用户在sop的身份集合")
    private String sopRoleType;

    @ApiModelProperty(value = "实际出勤（天）")
    private Integer actualDays;

    @ApiModelProperty(value = "工作日（天）")
    private Integer weekdays;

    @ApiModelProperty(value = "周末（天）")
    private Integer weekends;

    @ApiModelProperty(value = "法定节假日（天）")
    private Integer legalHolidays;

    @ApiModelProperty(value = "累计工时（小时）")
    private BigDecimal workHours;

    @ApiModelProperty(value = "违规天数（天）")
    private Integer violationDays;

    public Long getServiceId() {
        return serviceId;
    }

    public void setServiceId(Long serviceId) {
        this.serviceId = serviceId;
    }

    public String getSopNo() {
        return sopNo;
    }

    public void setSopNo(String sopNo) {
        this.sopNo = sopNo;
    }

    public String getCrmNo() {
        return crmNo;
    }

    public void setCrmNo(String crmNo) {
        this.crmNo = crmNo;
    }

    public Long getUserArchivesId() {
        return userArchivesId;
    }

    public void setUserArchivesId(Long userArchivesId) {
        this.userArchivesId = userArchivesId;
    }

    public Long getScanStartTime() {
        return scanStartTime;
    }

    public void setScanStartTime(Long scanStartTime) {
        this.scanStartTime = scanStartTime;
    }

    public Long getScanEndTime() {
        return scanEndTime;
    }

    public void setScanEndTime(Long scanEndTime) {
        this.scanEndTime = scanEndTime;
    }

    public Long getMarkPaperStartTime() {
        return markPaperStartTime;
    }

    public void setMarkPaperStartTime(Long markPaperStartTime) {
        this.markPaperStartTime = markPaperStartTime;
    }

    public Long getMarkPaperEndTime() {
        return markPaperEndTime;
    }

    public void setMarkPaperEndTime(Long markPaperEndTime) {
        this.markPaperEndTime = markPaperEndTime;
    }

    public String getSopRoleType() {
        return sopRoleType;
    }

    public void setSopRoleType(String sopRoleType) {
        this.sopRoleType = sopRoleType;
    }

    public Integer getActualDays() {
        return actualDays;
    }

    public void setActualDays(Integer actualDays) {
        this.actualDays = actualDays;
    }

    public Integer getWeekdays() {
        return weekdays;
    }

    public void setWeekdays(Integer weekdays) {
        this.weekdays = weekdays;
    }

    public Integer getWeekends() {
        return weekends;
    }

    public void setWeekends(Integer weekends) {
        this.weekends = weekends;
    }

    public Integer getLegalHolidays() {
        return legalHolidays;
    }

    public void setLegalHolidays(Integer legalHolidays) {
        this.legalHolidays = legalHolidays;
    }

    public BigDecimal getWorkHours() {
        return workHours;
    }

    public void setWorkHours(BigDecimal workHours) {
        this.workHours = workHours;
    }

    public Integer getViolationDays() {
        return violationDays;
    }

    public void setViolationDays(Integer violationDays) {
        this.violationDays = violationDays;
    }
}
